%define api	0.3

Name:		grilo-plugins
Version:	0.3.17
Release:	%mkrel 1
Summary:	Plugins for the Grilo framework
Group:		System/Libraries
License:	LGPLv2+
Url:		https://wiki.gnome.org/Grilo
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gperf
BuildRequires:	gstreamer1.0-plugins-bad
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(avahi-gobject)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmime-2.6)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gom-1.0)
BuildRequires:	pkgconfig(gom-1.0)
BuildRequires:	pkgconfig(grilo-%{api})
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gupnp-av-1.0)
BuildRequires:	pkgconfig(libdmapsharing-4.0)
BuildRequires:	pkgconfig(libgdata)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(totem-plparser)
BuildRequires:	pkgconfig(tinysparql-3.0)
BuildRequires:	tracker-vala
Requires:	grilo >= 0.2.4
Requires:	dleyna-server

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains plugins to get information from theses sources:
- Apple Trailers
- Bookmarks
- Euronews
- Filesystem
- Flickr
- Freebox (Internet Box from the French ISP Free)
- Gravatar
- Guardian Videos
- Jamendo
- Last.fm (for album arts)
- Local metadata (album arts and thumbnails)
- Metadata Store
- Metro lyrics
- Pocket
- Podcasts
- Radio France
- Shoutcast
- Tracker
- UPnP
- Vimeo
- Youtube

%prep
%autosetup -p1

%build
%meson \
	-Denable-freebox=yes \
	-Denable-tracker3=yes
%meson_build

%install
%meson_install

# Remove files that will not be packaged
rm %{buildroot}%{_datadir}/help/*/examples/example-tmdb.c

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_libdir}/grilo-%{api}/libgrl*.so
%{_libdir}/pkgconfig/grilo-plugins-%{api}.pc
%{_datadir}/grilo-plugins/


%changelog
* Wed Jun 18 2025 daviddavid <daviddavid> 0.3.17-1.mga10
+ Revision: 2192725
- new version 0.3.17

* Sun Mar 16 2025 wally <wally> 0.3.16-3.mga10
+ Revision: 2164843
- rebuild for libxml2 2.13.6

* Sun Dec 29 2024 daviddavid <daviddavid> 0.3.16-2.mga10
+ Revision: 2131031
- switch to new tinysparql replacement of tracker

* Thu Apr 27 2023 neoclust <neoclust> 0.3.16-1.mga9
+ Revision: 1955089
- New version 0.3.16

* Mon Feb 13 2023 wally <wally> 0.3.15-3.mga9
+ Revision: 1941239
- switch to libsoup3

* Wed Sep 28 2022 wally <wally> 0.3.15-2.mga9
+ Revision: 1892989
- build against libdmapsharing4

* Tue Aug 16 2022 ovitters <ovitters> 0.3.15-1.mga9
+ Revision: 1878164
- new version 0.3.15

* Wed Apr 06 2022 umeabot <umeabot> 0.3.14-2.mga9
+ Revision: 1845980
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 0.3.14-1.mga9
+ Revision: 1767478
- 0.3.14

* Tue Apr 06 2021 wally <wally> 0.3.13-3.mga9
+ Revision: 1713867
- add Arch patch to fix crash with lua 5.4.3 (mga#28733)

* Sat Apr 03 2021 wally <wally> 0.3.13-2.mga9
+ Revision: 1712922
- rebuild for lua 5.4
+ ovitters <ovitters>
- new version 0.3.13

* Mon Sep 14 2020 ovitters <ovitters> 0.3.12-2.mga8
+ Revision: 1626473
- rebuild for tracker3

* Thu Sep 03 2020 ovitters <ovitters> 0.3.12-1.mga8
+ Revision: 1621205
- new version 0.3.12

* Sun Feb 16 2020 umeabot <umeabot> 0.3.11-2.mga8
+ Revision: 1531413
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 ovitters <ovitters> 0.3.11-1.mga8
+ Revision: 1520553
- new version 0.3.11

* Thu Sep 12 2019 ovitters <ovitters> 0.3.10-1.mga8
+ Revision: 1440029
- new version 0.3.10

* Mon Jul 15 2019 ovitters <ovitters> 0.3.9-1.mga8
+ Revision: 1421673
- new version 0.3.9

* Wed Apr 17 2019 umeabot <umeabot> 0.3.8-3.mga7
+ Revision: 1392634
- Rebuild with meson 0.50.1

* Thu Mar 14 2019 daviddavid <daviddavid> 0.3.8-2.mga7
+ Revision: 1376272
- remove no more needed gupnp-1.0 build dependency

* Mon Sep 24 2018 ovitters <ovitters> 0.3.8-1.mga7
+ Revision: 1303504
- new version 0.3.8
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Fri Jul 27 2018 ovitters <ovitters> 0.3.7-1.mga7
+ Revision: 1245533
- new version 0.3.7

* Tue Jul 17 2018 ovitters <ovitters> 0.3.6-1.mga7
+ Revision: 1244019
- new version 0.3.6

* Sun Oct 01 2017 tv <tv> 0.3.5-2.mga7
+ Revision: 1162110
- adjust filelist when building with lua 5.3
- adjust filelist
- rebuild with tracker2
+ ovitters <ovitters>
- new version 0.3.5

* Wed Feb 15 2017 ovitters <ovitters> 0.3.4-1.mga6
+ Revision: 1086266
- new version 0.3.4

* Wed Sep 21 2016 ovitters <ovitters> 0.3.3-1.mga6
+ Revision: 1055040
- new version 0.3.3

* Mon Jun 27 2016 ovitters <ovitters> 0.3.2-1.mga6
+ Revision: 1037933
- new version 0.3.2

* Wed Mar 23 2016 tv <tv> 0.3.1-1.mga6
+ Revision: 994324
- new release

* Mon Dec 21 2015 tv <tv> 0.3.0-1.mga6
+ Revision: 912865
- fix file list
- fix file list
+ ovitters <ovitters>
- update api
- new version 0.3.0

* Fri Sep 25 2015 tv <tv> 0.2.16-2.mga6
+ Revision: 883595
- rebuild for new grilo

* Thu Sep 24 2015 tv <tv> 0.2.16-1.mga6
+ Revision: 883231
- BR libxml2-utils for xmllint
- new release
- %%%makeinstall_std --> %%make_install
+ fwang <fwang>
- gnome-common is of no use cause we do not regenerate the makefile

* Mon Sep 07 2015 tv <tv> 0.2.15-2.mga6
+ Revision: 873966
- adjust & simplify file list
- rebuild for new libgrilo
+ ovitters <ovitters>
- new version 0.2.15

* Mon Jun 22 2015 ovitters <ovitters> 0.2.14-1.mga6
+ Revision: 839655
- new version 0.2.14

* Sun Nov 16 2014 cjw <cjw> 0.2.13-3.mga5
+ Revision: 797610
- add a dependency on dleyna-server so the dlna plugin works

* Wed Oct 15 2014 umeabot <umeabot> 0.2.13-2.mga5
+ Revision: 742482
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 0.2.13-1.mga5
+ Revision: 732583
- BR gom
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- new version 0.2.13

* Wed Mar 19 2014 ovitters <ovitters> 0.2.12-1.mga5
+ Revision: 605854
- update file list for lua plugin (adds Euronews, metrolyrics, radiofrance sources)
- new version 0.2.12

* Mon Feb 24 2014 tv <tv> 0.2.11-2.mga5
+ Revision: 596548
- rebuild for new libtracker-sparql

* Tue Feb 18 2014 ovitters <ovitters> 0.2.11-1.mga5
+ Revision: 594336
- new version 0.2.11

* Sat Feb 15 2014 dams <dams> 0.2.10-2.mga5
+ Revision: 591682
- rebuild for new grilo to try to fix mga#12748 (requiring -devel)

* Tue Feb 11 2014 dams <dams> 0.2.10-1.mga5
+ Revision: 589397
- new version 0.2.10
- remove usless patch (merged upstream)
- update BR
- clean %%configure2_5x
- add back Vimeo and Youtube plugins
- enable Freebox plugin

* Sun Feb 09 2014 ovitters <ovitters> 0.2.9-4.mga5
+ Revision: 587200
- add patch for tracker 0.18

* Sat Nov 09 2013 ovitters <ovitters> 0.2.9-4.mga4
+ Revision: 550174
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.2.9-3.mga4
+ Revision: 535148
- Mageia 4 Mass Rebuild

* Wed Sep 18 2013 fwang <fwang> 0.2.9-2.mga4
+ Revision: 481268
- rebuild for new totem-pl-parser

* Sun Aug 25 2013 ovitters <ovitters> 0.2.9-1.mga4
+ Revision: 471788
- new version 0.2.9

* Wed May 29 2013 fwang <fwang> 0.2.8-3.mga4
+ Revision: 430512
- disable vimeo as it does not support libquvi-0.9
- disable youtube as it does not support libquvi0.9
- rebuild

* Wed May 29 2013 fwang <fwang> 0.2.8-2.mga4
+ Revision: 430483
- disable quvi to wait upstream support quvi-0.9

* Sun May 26 2013 dams <dams> 0.2.8-1.mga4
+ Revision: 427831
- new version 0.2.8

* Sat Jan 12 2013 umeabot <umeabot> 0.2.5-2.mga3
+ Revision: 352634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.2.5-1.mga3
+ Revision: 339181
- add BuildRequires: gnome-doc-utils
- patch2: fix build with automake 1.13
- don't buildrequire the same version of grilo-devel
- update filelist
+ ovitters <ovitters>
- new version 0.2.5
- new version 0.2.4

* Sun Nov 11 2012 fwang <fwang> 0.2.3-1.mga3
+ Revision: 316993
- new version 0.2.3

* Sun Oct 07 2012 fwang <fwang> 0.2.2-1.mga3
+ Revision: 303191
- update file list
- update file list
+ ovitters <ovitters>
- new version 0.2.2

* Wed Oct 03 2012 ovitters <ovitters> 0.2.1-1.mga3
+ Revision: 302307
- new version 0.2.1

* Wed Sep 05 2012 ovitters <ovitters> 0.2.0-1.mga3
+ Revision: 288302
- fix api
- new version 0.2.0

* Fri Aug 10 2012 ovitters <ovitters> 0.1.20-1.mga3
+ Revision: 280413
- new version 0.1.20

* Fri Jun 01 2012 fwang <fwang> 0.1.19-2.mga3
+ Revision: 252698
- update file list
- add br

* Fri Jun 01 2012 fwang <fwang> 0.1.19-1.mga3
+ Revision: 252673
- new version 0.1.19

* Sat Feb 25 2012 wally <wally> 0.1.18-3.mga3
+ Revision: 214346
- rebuild for new tracker (add P0 from upstream GIT)

* Sun Feb 12 2012 fwang <fwang> 0.1.18-2.mga2
+ Revision: 208160
- rebuild for new libquvi

* Fri Dec 09 2011 wally <wally> 0.1.18-1.mga2
+ Revision: 179713
- new version 0.1.18
- drop P0, fixed upstream
- enable fakemetadata and shoutcast plugins

* Tue Sep 06 2011 fwang <fwang> 0.1.17-1.mga2
+ Revision: 139062
- update br
- support tracker 0.12
- new version 0.1.17
- rediff some patches
- support tracker 0.12
- fix req
- recognize tracker 0.11
- br quvi
- tweak br
- imported package grilo-plugins
+ wally <wally>
- add P2 from upstream
- rebuild for new gmime (add P3)

